Method: projects.locations.goldengateConnectionAssignments.list

Lists GoldengateConnectionAssignments in a given project and location.

HTTP request


GET https://oracledatabase.googleapis.com/v1/{parent=projects/*/locations/*}/goldengateConnectionAssignments

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent value for the GoldengateConnectionAssignments. Format: projects/{project}/locations/{location}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of GoldengateConnectionAssignments to return. The service may return fewer than this value. If unspecified, at most 50 GoldengateConnectionAssignments will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous goldengateConnectionAssignments.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to goldengateConnectionAssignments.list must match the call that provided the page token.

filter

string

Optional. A filter expression that filters GoldengateConnectionAssignments listed in the response.

orderBy

string

Optional. A comma-separated list of fields to order by, sorted in ascending order. Use "DESC" after a field name for descending.

Request body

The request body must be empty.

Response body

Response message for listing GoldengateConnectionAssignments.

If successful, the response body contains data with the following structure:

JSON representation
{
  "goldengateConnectionAssignments": [
    {
      object (GoldengateConnectionAssignment)
    }
  ],
  "nextPageToken": string,
  "unreachable": [
    string
  ]
}
Fields
goldengateConnectionAssignments[]

object (GoldengateConnectionAssignment)

The list of GoldengateConnectionAssignments.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

unreachable[]

string

Unreachable locations when listing resources across all locations using wildcard location '-'.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/oracle-database

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • oracledatabase.goldenGateConnectionAssignments.list

For more information, see the IAM documentation.